{
  inputs = {
    naersk.url = "github:nix-community/naersk/master";
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, utils, naersk }:
    utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        naersk-lib = pkgs.callPackage naersk { };
      in
      {
        defaultPackage = with pkgs; naersk-lib.buildPackage {
          pname = "openpgp-card";
          src = ./.;
          buildInputs = [ cargo rustc rustfmt pcsclite nettle pre-commit rustPackages.clippy ];
          nativeBuildInputs = [ pkg-config rustPlatform.bindgenHook ] ++ lib.optionals stdenv.isDarwin [ PCSC ];
          RUST_SRC_PATH = rustPlatform.rustLibSrc;
        };
        devShell = with pkgs; mkShell {
          buildInputs = [ cargo rustc rustfmt pcsclite nettle pre-commit rustPackages.clippy ];
          nativeBuildInputs = [ pkg-config rustPlatform.bindgenHook ] ++ lib.optionals stdenv.isDarwin [ PCSC ];
          RUST_SRC_PATH = rustPlatform.rustLibSrc;
        };
      });
}
